Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ThreadpoolPolicy Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ThreadpoolPolicy:

[legend]
Collaboration diagram for RTCORBA::ThreadpoolPolicy:

[legend]
List of all members.

## Public Types
typedef ThreadpoolPolicy_ptr | _ptr_type
typedef ThreadpoolPolicy_var | _var_type
## Public Methods
virtual RTCORBA::ThreadpoolId | threadpool (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ThreadpoolPolicy_ptr | _duplicate (ThreadpoolPolicy_ptr obj)
ThreadpoolPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ThreadpoolPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ThreadpoolPolicy (void)
virtual | ~ThreadpoolPolicy (void)
## Private Methods
| ThreadpoolPolicy (const ThreadpoolPolicy &)
void | operator= (const ThreadpoolPolicy &)

## Member Typedef Documentation

typedef ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ThreadpoolPolicy_var RTCORBA::ThreadpoolPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::ThreadpoolPolicy::ThreadpoolPolicy | ( | void |  | ) | `[protected]`

RTCORBA::ThreadpoolPolicy::~ThreadpoolPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::ThreadpoolPolicy::ThreadpoolPolicy | ( | const ThreadpoolPolicy & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_duplicate | ( | ThreadpoolPolicy_ptr | obj | ) | `[static]`

const char * RTCORBA::ThreadpoolPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean RTCORBA::ThreadpoolPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ThreadpoolPolicy_ptr RTCORBA::ThreadpoolPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ThreadpoolPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean RTCORBA::ThreadpoolPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void RTCORBA::ThreadpoolPolicy::operator= | ( | const ThreadpoolPolicy & |  | ) | `[private]`

virtual RTCORBA::ThreadpoolId RTCORBA::ThreadpoolPolicy::threadpool | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_ThreadpoolPolicy.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp